%global debug_package %{nil}

Name:       notekit
Version:    master
Release:    1_%(date +%%y%%m%%d)%{?dist}
Summary:    A GTK3 hierarchical markdown notetaking application with tablet support.
License:    GPLv3+
URL:        https://github.com/blackhole89/notekit/
Source0:    https://github.com/blackhole89/notekit/archive/master.tar.gz
Patch0:     cmake-strip-error.patch

Requires:       gtkmm30 gtksourceviewmm3 jsoncpp zlib
BuildRequires:  gcc-c++ make cmake gtkmm30-devel gtksourceviewmm3-devel jsoncpp-devel zlib-devel

%description
This program is a structured notetaking application based on GTK+ 3.
Write your notes in instantly-formatted Markdown, organise them in a
tree of folders that can be instantly navigated from within the program,
and add hand-drawn notes by mouse, touchscreen or digitiser.

%prep
%autosetup

%build
cmake .
make

%install

# Binary

%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} cmake-build-Release/output/notekit %{buildroot}%{_bindir}

# Data

%{__mkdir_p} %{buildroot}%{_datadir}/notekit
%{__cp} -r data sourceview %{buildroot}%{_datadir}/notekit

# Apply patch to stylesheet
sed -i 's/Bitstream Charter/serif/' %{buildroot}%{_datadir}/notekit/data/stylesheet.css

# Desktop File

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=%{current}
Name=NoteKit
GenericName=NoteKit
Comment=Write your notes in instantly-formatted Markdown
Icon=accessories-text-editor
Exec=notekit
Terminal=false
Type=Application
Categories=Office;
Keywords=note;onenote;notetaking;markdown;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/notekit/*
%doc README.md
%license LICENSE

%changelog
* Wed Sep 11 2019 Lyes Saadi <fedora@lyes.eu>
- Creating the spec file.
